<?php

// Bâtit la configuration de la centrale syndicale dans un tableau.
function buildConfigCentrale() {

    $centrale = array();
    $sqlparam = array();
    $sqlparam["table"][] = "configuration";
    $sqlparam["champs"][] = "clef";
    $sqlparam["champs"][] = "valeur";
    $result = executerRequeteSql($sqlparam);

    foreach ($result as &$valeur) {
        $centrale[$valeur["clef"]] = $valeur["valeur"];
    }
       
    return $centrale;
}
